From: "Matsuu Takuto" <matsuu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/betagarden:master commit in: app-backup/sparkleshare/
Date: Sat, 20 Aug 2011 01:32:13 +0000 (UTC) [thread overview]
Message-ID: <6077e58ea8fc69d0b864f84141bcbc0f53adaeb3.matsuu@gentoo> (raw)
commit: 6077e58ea8fc69d0b864f84141bcbc0f53adaeb3
Author: MATSUU Takuto <matsuu <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 20 01:31:12 2011 +0000
Commit: Matsuu Takuto <matsuu <AT> gentoo <DOT> org>
CommitDate: Sat Aug 20 01:31:48 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/betagarden.git;a=commit;h=6077e58e
app-backup/sparkleshare: Version bumped.
(Portage version: 2.1.10.11/git/Linux x86_64, signed Manifest commit with key 05280D69)
---
app-backup/sparkleshare/ChangeLog | 5 ++
app-backup/sparkleshare/sparkleshare-0.2.5.ebuild | 57 +++++++++++++++++++++
2 files changed, 62 insertions(+), 0 deletions(-)
diff --git a/app-backup/sparkleshare/ChangeLog b/app-backup/sparkleshare/ChangeLog
index bfcdc49..4cd82e1 100644
--- a/app-backup/sparkleshare/ChangeLog
+++ b/app-backup/sparkleshare/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*sparkleshare-0.2.5 (19 Aug 2011)
+
+ 19 Aug 2011; MATSUU Takuto <matsuu@gentoo.org> +sparkleshare-0.2.5.ebuild:
+ Version bumped.
+
*sparkleshare-0.2.4 (30 Jun 2011)
30 Jun 2011; MATSUU Takuto <matsuu@gentoo.org> -sparkleshare-0.2.3.ebuild,
diff --git a/app-backup/sparkleshare/sparkleshare-0.2.5.ebuild b/app-backup/sparkleshare/sparkleshare-0.2.5.ebuild
new file mode 100644
index 0000000..4ec9052
--- /dev/null
+++ b/app-backup/sparkleshare/sparkleshare-0.2.5.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+inherit gnome2-utils
+
+DESCRIPTION="A collaboration and sharing tool that is designed to keep things simple and to stay out of your way."
+HOMEPAGE="http://sparkleshare.org/"
+SRC_URI="https://github.com/downloads/hbons/SparkleShare/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc libnotify nautilus"
+
+RDEPEND=">=dev-lang/mono-2.2
+ >=dev-dotnet/gtk-sharp-2.12.2
+ >=dev-dotnet/glib-sharp-2.12.2
+ libnotify? ( dev-dotnet/notify-sharp )
+ dev-dotnet/webkit-sharp
+ nautilus? ( dev-python/nautilus-python )
+ >=dev-vcs/git-1.7.1
+ virtual/libintl"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ dev-util/pkgconfig
+ doc? ( >=app-text/gnome-doc-utils-0.17.3 )"
+# appindicator? ( >=dev-dotnet/appindicator-sharp-0.0.7 )
+
+src_configure() {
+ local myconf
+ if use debug ; then
+ myconf="${myconf} --enable-debug"
+ else
+ myconf="${myconf} --enable-release"
+ fi
+ econf ${myconf} || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+
+ dodoc AUTHORS NEWS README || die
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
next reply other threads:[~2011-08-20 1:32 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-08-20 1:32 Matsuu Takuto [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-09-22 10:44 [gentoo-commits] proj/betagarden:master commit in: app-backup/sparkleshare/ Justin Lecher
2012-05-03 11:41 Johannes Huber
2012-01-11 16:23 Matsuu Takuto
2011-10-27 18:02 Justin Lecher
2011-06-30 18:00 Matsuu Takuto
2011-06-29 12:25 Matsuu Takuto
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=6077e58ea8fc69d0b864f84141bcbc0f53adaeb3.matsuu@gentoo \
--to=matsuu@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox